# osgFX::Registry Class Reference

Inheritance diagram for osgFX::Registry:

[legend]
List of all members.

## Public Types

typedef std::map< std::string, osg::ref_ptr< const Effect > > | Effect_map

## Public Member Functions

void | registerEffect (const Effect *effect)
const Effect_map & | getEffectMap () const

## Static Public Member Functions

static Registry * | instance ()

## Protected Member Functions

| Registry ()
| ~Registry ()

## Classes

struct | Proxy

## Member Typedef Documentation

typedef std::map<std::string, osg::ref_ptr<const Effect> > osgFX::Registry::Effect_map

## Constructor & Destructor Documentation

osgFX::Registry::Registry | ( |  | ) | `[protected]`

osgFX::Registry::~Registry | ( |  | ) | `[inline, protected]`

## Member Function Documentation

const Registry::Effect_map & osgFX::Registry::getEffectMap | ( |  | ) | const`[inline]`

static Registry* osgFX::Registry::instance | ( |  | ) | `[static]`

void osgFX::Registry::registerEffect | ( | const Effect * | effect | ) | `[inline]`

The documentation for this class was generated from the following file:

- osgFX/Registry